package handler

import (
	"encoding/json"
	"fmt"
	"net/http"
	"sirlab.de/go/knyt/user"
)

type userLight struct {
	Name string `json:"name"`
	Role string `json:"role"`
	Game string `json:"game"`
}

func (authMux *AuthMux) GetUserInfo(usr *user.User, w http.ResponseWriter, r *http.Request) {
	usrLight := userLight{
		Name: usr.Name,
		Role: usr.Role,
		Game: usr.Game,
	}

	w.Header().Add("Content-Type", "application/json")
	jsonString, _ := json.Marshal(usrLight)
	fmt.Fprintf(w, string(jsonString))
}
